| Home | Libraries | People | FAQ | More

##### basic_signal_set::add (2 of 2 overloads)

Add a signal to a signal_set.

    void add(
        int signal_number,
        boost::system::error_code & ec);

This function adds the specified signal to the set. It has no effect if the signal is already in the set.

###### Parameters

signal_number

  The signal to be added to the set.

ec

  Set to indicate what error occurred, if any.